[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFloatField.MaxValue

Maximum value for the field

## Declaration

Source position: db.pas line 654

`published property TFloatField.MaxValue : Double read FMaxValue write FMaxValue;`

## Description

MaxValue can be set to a value different from zero, it is then the maximum value for the field if set to any value different from zero. When setting the field's value, the value may not be larger than MaxValue. Any attempt to write a larger value as the field's content will result in an exception. By default MaxValue equals 0, i.e. any floating-point value is allowed.

If MaxValue is set, MinValue should also be set, because it will also be checked.

## See also

TFloatField.MinValue |  | Minimum value for the field

Documentation generated on: Feb 26 2014